Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop
Class BigDecimalSerialization

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.BigDecimalSerialization

All Implemented Interfaces:
  Configurable, Serialization<BigDecimal>

    public class BigDecimalSerialization

extends Configured
implements Serialization<BigDecimal>

Class BigDecimalSerialization is an implementation of Hadoop's `Serialization` interface for use by `BigDecimal` instances.

To use, call
`TupleSerializationProps.addSerialization(properties, BigDecimalSerialization.class.getName());`

See Also:
  `TupleSerializationProps.addSerialization(java.util.Map, String)`

Nested Class Summary
`static class` | `BigDecimalSerialization.BigDecimalDeserializer`
`static class` | `BigDecimalSerialization.BigDecimalSerializer`

Constructor Summary
`BigDecimalSerialization()`

Method Summary
`boolean` | `accept(Class<?> c)`
`Deserializer<BigDecimal>` | `getDeserializer(Class<BigDecimal> c)`
`Serializer<BigDecimal>` | `getSerializer(Class<BigDecimal> c)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecimalSerialization

    public BigDecimalSerialization()

Method Detail

### accept

    public boolean accept(Class<?> c)

  Specified by:
    `accept` in interface `Serialization<BigDecimal>`

### getSerializer

    public Serializer<BigDecimal> getSerializer(Class<BigDecimal> c)

  Specified by:
    `getSerializer` in interface `Serialization<BigDecimal>`

### getDeserializer

    public Deserializer<BigDecimal> getDeserializer(Class<BigDecimal> c)

  Specified by:
    `getDeserializer` in interface `Serialization<BigDecimal>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.